Bug 492834 - Review Request: spawn-fcgi - Simple program for spawning FastCGI processes
Review Request: spawn-fcgi - Simple program for spawning FastCGI processes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 05:21 EDT by Matthias Saou
Modified: 2009-10-06 16:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 16:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2009-03-30 05:21:13 EDT
Spec URL: http://thias.fedorapeople.org/review/spawn-fcgi/spawn-fcgi.spec
SRPM URL: http://thias.fedorapeople.org/review/spawn-fcgi/spawn-fcgi-1.6.1-1.src.rpm
Description:
This package contains the spawn-fcgi program used for spawning FastCGI
processes, which can be local or remote.

Note: The spawn-fcgi program is currently included in a sub-package from the lighttpd source package, but upstream will remove it from lighttpd shortly, so this separate source package will be required. More details : http://www.lighttpd.net/2009/2/28/spawn-fcgi-1-6-0
Comment 1 Till Maas 2009-04-21 15:23:27 EDT
[OK] rpmlint output: silent
[OK] Spec in %{name}.spec format

[OK] license allowed: BSD
[OK] license matches shortname in License: tag
[OK] license in tarball and included in %doc: COPYING
[OK] package is code or permissive content:
{N/A} patches sent to upstream and commented
[OK] Source0 is a working URL
{N/A} Sourceforge URL is Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
<OK> SourceX / PatchY prefixed with %{name}
[OK] Source0 matches Upstream:
ae893d12943fd4cd38a0a38835263c80  spawn-fcgi-1.6.1.tar.bz2

[OK] Package builds on all primary architectures:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1312054
[N/A] ExcludeArch bugs are filed and commented:
[OK] BuildRequires are complete (mock builds)
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 

[N/A] %find_lang used for locales

[N/A] Every (sub)package containing libraries runs ldconfig
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
[N/A] .h (header) files are in -devel subpackage
[N/A] .a (static libraries) are in -static subpackage
[N/A] contains .pc (pkgconfig) files and has Requires: pkgconfig
(N/A) .pc files are in -devel subpackage
[N/A] contains .so.X(.Y) files and .so is in -devel
[N/A] -devel subpackage has Requires: %{name} = %{version}-%{release}
[N/A] .la files (libtool) are not included

[N/A] Has GUI and includes %{name}.desktop
[N/A] Follows desktop entry spec
[N/A] Valid .desktop Name
[N/A] Valid .desktop GenericName
[N/A] Valid .desktop Categories
[N/A] Valid .desktop StartupNotify
[N/A] .desktop file installed with desktop-file-install in %install
[OK] Prefix: /usr not used (not relocatable)

[OK] Owns all created directories
[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8

[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] Consistent macro usage

[OK] large documentation is -doc subpackage

{OK} no pre-built binaries (.a, .so*, executable)
https://fedoraproject.org/wiki/Packaging/Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
find -print0 -type f | xargs -0 file | cut -d" " -f 2- | sed 's/^ *//' | sort -u

{OK} well known BuildRoot
%{_tmppath}/%{name}-%{version}-%{release}-root

{OK} PreReq not used
{OK} RPM_OPT_FLAGS honoured
{OK} Useful debuginfo generated
{OK} no duplication of system libraries
{OK} no rpath
{OK} Timestamps preserved with cp and install
{OK} Uses parallel make (%{?_smp_mflags})
{OK} Requires(pre,post) style notation not used
{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)
{OK} no Conflicts
{OK} nothing installed in /srv
{OK} Changelog in allowed format
{OK} does not use Scriptlets

<N/A> Architecture independent packages have: BuildArch: noarch
<OK> Sane Provides: and Requires:
{OK} Follows Naming Guidelines

minor issue:
%files contains a -n spawn-fcgi, this should be removed before CVS import.

This package is APPROVED.
Comment 2 Matthias Saou 2009-04-21 18:00:10 EDT
Thanks a lot for this thorough review!

* Tue Apr 21 2009 Matthias Saou <http://freshrpms.net/> 1.6.2-1
- Update to 1.6.2.
- Remove leftover -f from %%files section.
Comment 3 Matthias Saou 2009-09-12 13:57:47 EDT
New Package CVS Request
=======================
Package Name: spawn-fcgi
Short Description: Simple program for spawning FastCGI processes
Owners: thias
Branches: F-10 F-11 EL-5 EL-4
InitialCC:
Comment 4 Kevin Fenzi 2009-09-14 00:59:37 EDT
cvs done.
Comment 5 Matthias Saou 2009-10-06 16:58:17 EDT
Builds on all current branches have been done, and I've also updates lighttpd to 1.4.23, the first release to no longer include spawn-fcgi.

Note You need to log in before you can comment on or make changes to this bug.